{"format":"opendoc-document","version":1,"url":"https://docs.storm.tg/developers/operations/gettradervolume","title":"Get volume for trading fee tiers","description":"GET /v3-node-0/volume/{address}: Returns the trader's cumulative on chain traded notional used for fee tiers (keyed by owner wallet)","kind":"api-operation","locale":"en","inLanguage":"en","lastModified":"2026-10-09T14:26:32+03:00","revision":"d36475e7b456c737fae6933fa27b7e1bc2687f2c19291b05725ab2c4e8f79d7a","section":{"title":"For Developers","url":"https://docs.storm.tg/developers"},"representations":{"html":"https://docs.storm.tg/developers/operations/gettradervolume","markdown":"https://docs.storm.tg/developers/operations/gettradervolume.md","json":"https://docs.storm.tg/developers/operations/gettradervolume.json"},"translations":{"en":"https://docs.storm.tg/developers/operations/gettradervolume"},"operation":{"id":"GetTraderVolume","method":"GET","path":"/v3-node-0/volume/{address}","summary":"Get volume for trading fee tiers","description":"Returns the trader's cumulative on-chain traded notional used for fee tiers (keyed by owner wallet)","tags":["Trader statistics"],"deprecated":false,"parameters":[{"name":"address","location":"path","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]},"type":"string","required":true,"description":"Trader (owner wallet) address","example":"string"}],"bodies":[],"responses":[{"status":"200","description":"OK","mediaType":"application/json","properties":[{"name":"address","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"volume","type":"string","required":false,"description":"quote-asset nanos, decimal string","example":"string","schema":{"type":"string","types":["string"],"description":"quote-asset nanos, decimal string","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.api.VolumeResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"address","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"volume","type":"string","required":false,"description":"quote-asset nanos, decimal string","example":"string","schema":{"type":"string","types":["string"],"description":"quote-asset nanos, decimal string","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]},"example":"{\n  \"address\": \"string\",\n  \"volume\": \"string\"\n}","headers":[]},{"status":"400","description":"Bad Request","mediaType":"application/json","properties":[{"name":"code","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"error","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"externalQueryId","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"msg","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.api.ErrorResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"code","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"error","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"externalQueryId","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"msg","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]},"example":"{\n  \"code\": \"string\",\n  \"error\": \"string\",\n  \"externalQueryId\": \"string\",\n  \"msg\": \"string\"\n}","headers":[]},{"status":"500","description":"Internal Server Error","mediaType":"application/json","properties":[{"name":"code","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"error","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"externalQueryId","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"msg","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Trading.api.ErrorResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"code","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"error","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"externalQueryId","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"msg","type":"string","required":false,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]},"example":"{\n  \"code\": \"string\",\n  \"error\": \"string\",\n  \"externalQueryId\": \"string\",\n  \"msg\": \"string\"\n}","headers":[]}],"security":[],"codeSamples":[{"label":"cURL","language":"bash","source":"curl --request GET 'https://api.storm.tg/v3-node-0/volume/{address}' \\\n  --header 'Accept: application/json'"},{"label":"JavaScript","language":"javascript","source":"const response = await fetch(\"https://api.storm.tg/v3-node-0/volume/{address}\", {\n  method: \"GET\",\n  headers: {\n    \"Accept\": \"application/json\"\n  },\n});\nconsole.log(response.status, await response.text());"},{"label":"Python","language":"python","source":"import requests\n\nresponse = requests.request(\n    \"GET\",\n    \"https://api.storm.tg/v3-node-0/volume/{address}\",\n    headers={\"Accept\":\"application/json\"},\n    timeout=30,\n)\nprint(response.status_code, response.text)"}]},"breadcrumbs":[{"title":"⚡ About Storm Trade","url":"https://docs.storm.tg"},{"title":"For Developers","url":"https://docs.storm.tg/developers"},{"title":"Get volume for trading fee tiers","url":"https://docs.storm.tg/developers/operations/gettradervolume"}],"headings":[{"depth":2,"id":"parameters","title":"Parameters"},{"depth":2,"id":"examples","title":"Examples"},{"depth":2,"id":"responses","title":"Responses"}],"markdown":"# Get volume for trading fee tiers\n\n`GET /v3-node-0/volume/{address}`\n\nReturns the trader's cumulative on-chain traded notional used for fee tiers (keyed by owner wallet)\n\n## Authorization\n\n\n\n## Parameters\n\n- path: address (string; required). Trader (owner wallet) address\n\nType: string\n\n## Example · cURL\n\n```bash\ncurl --request GET 'https://api.storm.tg/v3-node-0/volume/{address}' \\\n  --header 'Accept: application/json'\n```\n\n## Example · JavaScript\n\n```javascript\nconst response = await fetch(\"https://api.storm.tg/v3-node-0/volume/{address}\", {\n  method: \"GET\",\n  headers: {\n    \"Accept\": \"application/json\"\n  },\n});\nconsole.log(response.status, await response.text());\n```\n\n## Example · Python\n\n```python\nimport requests\n\nresponse = requests.request(\n    \"GET\",\n    \"https://api.storm.tg/v3-node-0/volume/{address}\",\n    headers={\"Accept\":\"application/json\"},\n    timeout=30,\n)\nprint(response.status_code, response.text)\n```\n\n## Response 200 · Trading.api.VolumeResponse\n\n**200** application/json — OK\n\nSchema: Trading.api.VolumeResponse\n\nType: object\n\nRequired fields: none\n\n- address (string; optional)\n\naddress example: string\n\naddress.Type: string\n\n- volume (string; optional)\n\nvolume example: string\n\nvolume.Type: string\n\nvolume.quote-asset nanos, decimal string\n\nExample\n\n\n\n```json\n{\n  \"address\": \"string\",\n  \"volume\": \"string\"\n}\n```\n\n## Response 400 · Trading.api.ErrorResponse\n\n**400** application/json — Bad Request\n\nSchema: Trading.api.ErrorResponse\n\nType: object\n\nRequired fields: none\n\n- code (string; optional)\n\ncode example: string\n\ncode.Type: string\n\n- error (string; optional)\n\nerror example: string\n\nerror.Type: string\n\n- externalQueryId (string; optional)\n\nexternalQueryId example: string\n\nexternalQueryId.Type: string\n\n- msg (string; optional)\n\nmsg example: string\n\nmsg.Type: string\n\nExample\n\n\n\n```json\n{\n  \"code\": \"string\",\n  \"error\": \"string\",\n  \"externalQueryId\": \"string\",\n  \"msg\": \"string\"\n}\n```\n\n## Response 500 · Trading.api.ErrorResponse\n\n**500** application/json — Internal Server Error\n\nSchema: Trading.api.ErrorResponse\n\nType: object\n\nRequired fields: none\n\n- code (string; optional)\n\ncode example: string\n\ncode.Type: string\n\n- error (string; optional)\n\nerror example: string\n\nerror.Type: string\n\n- externalQueryId (string; optional)\n\nexternalQueryId example: string\n\nexternalQueryId.Type: string\n\n- msg (string; optional)\n\nmsg example: string\n\nmsg.Type: string\n\nExample\n\n\n\n```json\n{\n  \"code\": \"string\",\n  \"error\": \"string\",\n  \"externalQueryId\": \"string\",\n  \"msg\": \"string\"\n}\n```","text":"Get volume for trading fee tiers Returns the trader's cumulative on-chain traded notional used for fee tiers (keyed by owner wallet) GET /v3-node-0/volume/{address} Trader statistics address Trader (owner wallet) address string 200 OK address string volume quote-asset nanos, decimal string string 400 Bad Request code string error string externalQueryId string msg string 500 Internal Server Error code string error string externalQueryId string msg string","api":{"title":"Storm API reference","version":"3.0","documentation":"https://docs.storm.tg/developers/overview","playgroundServer":"https://api.storm.tg"}}